Whether the socket is persistent

- « ZMQSocket::getSockOpt

- ZMQSocket::recv »

- PHP Manual
- ZMQSocket
- Whether the socket is persistent

# ZMQSocket::isPersistent

(PECL zmq >= 0.5.0)

ZMQSocket::isPersistent — Whether the socket is persistent

### Description

public ZMQSocket::isPersistent(): bool

Check whether the socket is persistent.

### Parameters

This function has no parameters.

### Return Values

Returns a bool based on whether the socket is persistent or not.